 var universitiesData = {
      "universities": [
         {
    "name": "Stanford",
    "location": "Stanford, CA",
    "acceptanceRate": "5%",
    "averageSAT": "1500",
    "satRange": [1420, 1570]
  },
  {
    "name": "University of Chicago",
    "location": "Chicago, IL",
    "acceptanceRate": "7%",
    "averageSAT": "1550",
    "satRange": [1500, 1570]
  },
  {
    "name": "University of Pennsylvania",
    "location": "Philadelphia, PA",
    "acceptanceRate": "9%",
    "averageSAT": "1520",
    "satRange": [1450, 1570]
  },
  {
    "name": "Carnegie Mellon University",
    "location": "Pittsburgh, PA",
    "acceptanceRate": "17%",
    "averageSAT": "1510",
    "satRange": [1460, 1560]
  },
  {
    "name": "Caltech",
    "location": "Pasadena, CA",
    "acceptanceRate": "12%",
    "averageSAT": "1560",
    "satRange": [1530, 1580]
  },
  {
    "name": "Columbia University",
    "location": "New York, NY",
    "acceptanceRate": "6%",
    "averageSAT": "1480",
    "satRange": [1470, 1560]
  },
  {
    "name": "Duke University",
    "location": "Durham, NC",
    "acceptanceRate": "10%",
    "averageSAT": "1500",
    "satRange": [1460, 1550]
  },
  {
    "name": "Georgetown University",
    "location": "Washington, DC",
    "acceptanceRate": "15%",
    "averageSAT": "1500",
    "satRange": [1460, 1550]
  },
  {
    "name": "Johns Hopkins University",
    "location": "Baltimore, MD",
    "acceptanceRate": "10%",
    "averageSAT": "1490",
    "satRange": [1450, 1550]
  },
  {
    "name": "Massachusetts Institute of Technology",
    "location": "Cambridge, MA",
    "acceptanceRate": "7%",
    "averageSAT": "1550",
    "satRange": [1520, 1580]
  },
  {
    "name": "Northwestern University",
    "location": "Evanston, IL",
    "acceptanceRate": "9%",
    "averageSAT": "1500",
    "satRange": [1460, 1550]
  },
  {
    "name": "Princeton University",
    "location": "Princeton, NJ",
    "acceptanceRate": "6%",
    "averageSAT": "1530",
    "satRange": [1470, 1560]
  },
  {
    "name": "Rice University",
    "location": "Houston, TX",
    "acceptanceRate": "15%",
    "averageSAT": "1500",
    "satRange": [1460, 1550]
  },
  {
    "name": "University of California, Berkeley",
    "location": "Berkeley, CA",
    "acceptanceRate": "15%",
    "averageSAT": "1440",
    "satRange": [1380, 1520]
  },
  {
    "name": "University of California, Los Angeles",
    "location": "Los Angeles, CA",
    "acceptanceRate": "12%",
    "averageSAT": "1400",
    "satRange": [1330, 1470]
  },
{
    "name": "University of Michigan",
    "location": "Ann Arbor, MI",
    "acceptanceRate": "29%",
    "averageSAT": "1360",
    "satRange": [1360, 1500]
  },
  {
    "name": "University of Notre Dame",
    "location": "Notre Dame, IN",
    "acceptanceRate": "21%",
    "averageSAT": "1360",
    "satRange": [1360, 1500]
  },
  {
    "name": "University of Southern California",
    "location": "Los Angeles, CA",
    "acceptanceRate": "16%",
    "averageSAT": "1380",
    "satRange": [1380, 1520]
  },
  {
    "name": "University of Virginia",
    "location": "Charlottesville, VA",
    "acceptanceRate": "26%",
    "averageSAT": "1370",
    "satRange": [1370, 1510]
  },
  {
    "name": "Washington University in St. Louis",
    "location": "St. Louis, MO",
    "acceptanceRate": "17%",
    "averageSAT": "1460",
    "satRange": [1460, 1550]
  },
  {
    "name": "Yale University",
    "location": "New Haven, CT",
    "acceptanceRate": "6%",
    "averageSAT": "1470",
    "satRange": [1470, 1560]
  }
 

      ]
    };

    function searchUniversities() {
      var satScore = document.getElementById("satScore").value;

      var universities = universitiesData.universities;
      var matchingUniversities = universities.filter(function(university) {
        return satScore >= university.satRange[0] && satScore <= university.satRange[1];
      });

      displayResults(matchingUniversities);
    }

    function displayResults(universities) {
      var resultsContainer = document.getElementById("results");
      resultsContainer.innerHTML = "";

      if (universities.length === 0) {
        resultsContainer.textContent = "No universities found for the given SAT score.";
      } else {
        universities.forEach(function(university) {
          var universityInfo = document.createElement("div");
          universityInfo.classList.add("university-info");
          universityInfo.innerHTML = `
            <h3>${university.name}</h3>
            <p><strong>Location:</strong> ${university.location}</p>
            <p><strong>Acceptance Rate:</strong> ${university.acceptanceRate}</p>
            <p><strong>Average SAT Score:</strong> ${university.averageSAT}</p>
          `;
          resultsContainer.appendChild(universityInfo);
        });
      }
    }